Subject: ssh searching its files in /.ssh instead of $HOME/.ssh
From: [email-masked] (Michael Weiser)

16 Aug 1998 15:49:21 -0700
Message-ID: <35ddd0e6.11718029.cygnus.gnu-win32@mail>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi folks,

I just donwloaded ssh-1.2.26-cygwin32b19.tar.gz from Sergey's site and
installed it. It runs perfectly so far making connections to sshd on
my linux box like hell. But ssh doesn't search its files in $HOME/.ssh
like it should. Instead it tries to create /.ssh and place its files
there. For example:

michael@NARGOTHROND:/mnt/e/home/michael >ssh weiser
Could not create directory '/.ssh'.
Creating random seed file ~/.ssh/random_seed.  This may take a while.
michael@weiser's password:
Last login: Sun Aug 16 13:35:44 1998 from nargothrond.weis
Moin Maedels...
No mail.
michael@weiser:/home/michael > exit
logout
Connection to weiser closed.
michael@NARGOTHROND:/mnt/e/home/michael >

Because the lack of write permissions in / random_seed doesn't get
created in /.ssh and also doesn't appear in ~/.ssh even if I create
the directory by hand. If I logon as Administrator /.ssh gets created
and random_seed appaers there.

So it seems like ssh misses $HOME somehow although it's set. How can
this be?

Here's an excerpt of my environment (quoted to prevent my mailer from
word-wrapping it):

>declare -x !E:="E:\\home\\michael"       <- BTW: Where does this come from?
>declare -x BISON_HAIRY="e:\\cpp\\gcc-2.8.1-mingw32\\share\\bison.hairy"
>declare -x BISON_SIMPLE="e:\\cpp\\gcc-2.8.1-mingw32\\share\\bison.simple"
>declare -x COLORTERM="1"
>declare -x COMPUTERNAME="NARGOTHROND"
>declare -x CYGFS="e:/cpp/cygwin32.b19"
>declare -x CYGREL="B19"
>declare -x CYGROOT="e:\\cpp\\cygwin32.b19"
>declare -x CYGWIN32="tty binmode"
>declare -x EDITOR="/usr/local/bin/joe"
>declare -x GCC_EXEC_PREFIX="e:\\cpp\\cygwin32.b19\\usr\\lib\\gcc-lib\\"
>declare -x GDBTK_LIBRARY="e:/cpp/cygwin32.b19/usr/share/gdbtcl"
>declare -x HISTCONTROL="ignoredups"
>declare -x HOME="/home/michael"
>declare -x HOSTNAME="NARGOTHROND"
>declare -x HOSTTYPE="i386"
>declare -x INFODIR="/usr/local/info:/usr/info"
>declare -x INFOPATH="/usr/local/info:/usr/info"
>declare -x LC_CTYPE="de_DE"
>declare -x LESS="-M"
>declare -x LESSCHARSET="latin1"
>declare -x LESSKEY="/etc/lesskey.bin"
>declare -x LESSOPEN="|lesspipe.sh %s"
>declare -x LOGNAME="michael"
>declare -x MACHTYPE="i386-pc-cygwin32"
>declare -x MAKE_MODE="unix"
>declare -x MANPATH="/usr/local/man:/usr/man:/usr/X11R6/man"
>declare -x MM_RUNASROOT="true"
>declare -x OS="Windows_NT"
>declare -x OS2LIBPATH="C:\\WINNT4\\system32\\os2\\dll;"
>declare -x OSTYPE="cygwin32"
>declare -x PAGER="less"
>declare -x PATH="/usr/local/bin:/usr/bin:/usr/X11R6/bin:/bin:."
>declare -x PATHEXT=".COM;.EXE;.BAT;.CMD"
>declare -x PROMPT="\$P\$G"
>declare -x PROMPT_COMMAND="PS1=\"\\u@\\h:\\w >\""
>declare -x PS1="\\u@\\h:\\w >"
>declare -x PS2="> "
>declare -x SHELL="/bin/sh"
>declare -x SHLVL="1"
>declare -x TCL_LIBRARY="e:\\cpp\\cygwin32.b19\\usr\\share\\tcl8.0\\"
>declare -x TEMP="/tmp"
>declare -x TERM="linux"
>declare -x TMP="/tmp"
>declare -x TZ="CET-1CEST"
>declare -x USER="michael"
>declare -x USERNAME="michael"

BTW: I'm using B19 with Sergey's latest coolview (downloaded today)
and CYGWIN32=tty binmode.

Thanks for your help.

bye

Michael
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".